{-|
Description:    

Copyright:      (c) 2020 Samuel May
License:        MPL-2.0
Maintainer:     ag.eitilt@gmail.com

Stability:      experimental
Portability:    portable
-}
module Main where


import qualified Control.Monad as N
import qualified System.Exit as E
import qualified Test.HUnit as U

import qualified Test.Mangrove.Unit.Tokenize as Tokenize


main :: IO ()
main = do
    tokenize <- Tokenize.tests
    results <- U.runTestTT $ U.TestList
        [ tokenize
        ]
    
    N.unless (U.errors results == 0 && U.failures results == 0) E.exitFailure
